summaryrefslogtreecommitdiff
path: root/run-built-arm-image.sh
diff options
context:
space:
mode:
authorJonathan Maw <jonathan.maw@codethink.co.uk>2013-05-23 16:36:39 +0100
committerJonathan Maw <jonathan.maw@codethink.co.uk>2013-05-23 16:36:39 +0100
commit0bbde2e7bd3cffe963c7acb64d7cd53d8726798d (patch)
treee99a98f46c8547a3bc659e096e63896f2e2c9434 /run-built-arm-image.sh
parent1cbc106c4859797c1f04661e9f88d99b3ce9e52f (diff)
downloadgenivi-initial-setup-0bbde2e7bd3cffe963c7acb64d7cd53d8726798d.tar.gz
Move files out of arm-specific subdirectory
Diffstat (limited to 'run-built-arm-image.sh')
-rwxr-xr-xrun-built-arm-image.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/run-built-arm-image.sh b/run-built-arm-image.sh
new file mode 100755
index 0000000..5a7edb0
--- /dev/null
+++ b/run-built-arm-image.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+find_tunctl() {
+ for path in `which tunctl` /{usr/,usr/local/}{bin,sbin}/tunctl; do
+ if [ -x "$path" ]; then
+ return 0
+ fi
+ done
+ return 1
+}
+
+if ! find_tunctl; then
+cat >&2 <<EOF
+Could not find tunctl executable in standard paths or PATH
+
+On Fedora it is in the tunctl package.
+On Ubuntu it is in the uml-utilities package.
+EOF
+fi
+
+MACHINE=qemuarmv7 PATH="$PATH:$(pwd)" OE_TMPDIR=/ KERNEL="$1" ROOTFS="$2" \
+ sh ./runqemu serial \
+ bootparams="rootflags=subvol=systems/version1/run root=/dev/mmcblk0" \
+ btrfs qemuparams="-m 1024 -M vexpress-a9"